/**
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.api;

import org.objectweb.fractal.api.control.AttributeController;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface JormFactoryAttributes extends AttributeController {

	/**
	 * nothing is done. Then the mapping structures already exist at the Speedo
	 * starting
	 */
	byte DO_NOTHING = 0;

	/**
	 * The mapping structures are created if they are not already present
	 */
	byte CREATE_IF_REQUIRED = 1;

	/**
	 * The mapping structures are removed (if they already exist), and created.
	 */
	byte FORCE_CREATE = 2;

	/**
	 * The data present in the mapping structure are removed. Of course if the
	 * mapping structure do not exist, they are created.
	 */
	byte DELETE_DATA = 3;

	byte getMappingStructureRule();

	void setMappingStructureRule(byte rule);
}
